java.io.IOException: Change Log History v1.4 failed to load. - Jenkins Subversion Plug-in v2.6 is older than required. To fix, install v2.6-20160601.015946-1 or later.

Jenkins JIRA | zhh205 | 4 months ago
  1. 0

    Getting error after upgrading Jenkins from 2.13 to 2.16: In jenkins.log {code} SCHWERWIEGEND: Failed Loading plugin Change Log History v1.4 (changelog-history) java.io.IOException: Change Log History v1.4 failed to load. - Jenkins Subversion Plug-in v2.6 is older than required. To fix, install v2.6-20160601.015946-1 or later. at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:621) at hudson.PluginManager$2$1$1.run(PluginManager.java:511) at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169) at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:282) at jenkins.model.Jenkins$7.runTask(Jenkins.java:1026) at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:210) at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) at java.lang.Thread.run(Thread.java:745) {code} On Jenkins manage screen: {code} There are dependency errors loading some plugins: Change Log History v1.4 Jenkins Subversion Plug-in v2.6 is older than required. To fix, install v2.6-20160601.015946-1 or later. {code} Jenkins 2.16 and 2.17 have the same error. Downgrade back to 2.15 solves the problem.

    Jenkins JIRA | 4 months ago | zhh205
    java.io.IOException: Change Log History v1.4 failed to load. - Jenkins Subversion Plug-in v2.6 is older than required. To fix, install v2.6-20160601.015946-1 or later.
  2. 0

    Getting error after deploying hpi in jenkins for the maven dependency mansion-cloud

    Stack Overflow | 3 years ago
    java.io.IOException: Dependency mansion-cloud (1.18) doesn't exist
  3. 0

    Jenkins issues - [JIRA] [core] (JENKINS-18525) Jenkins 1.520 update breaks Jenkins . Jenkins wont start

    nabble.com | 2 years ago
    java.io.IOException: Dependency ruby-runtime (0.9) doesn't exist
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Resolve jenkins plugin dependencies

    GitHub | 2 years ago | Lykathia
    java.io.IOException: Dependency scm-api (0.2), git-client (1.16.1) doesn't exist

  1. davidvanlaatum 11 times, last 4 months ago
3 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.io.IOException

    Change Log History v1.4 failed to load. - Jenkins Subversion Plug-in v2.6 is older than required. To fix, install v2.6-20160601.015946-1 or later.

    at hudson.PluginWrapper.resolvePluginDependencies()
  2. Hudson
    PluginManager$2$1$1.run
    1. hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:621)
    2. hudson.PluginManager$2$1$1.run(PluginManager.java:511)
    2 frames
  3. init
    Reactor.runTask
    1. org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
    2. org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:282)
    2 frames
  4. jenkins.model
    Jenkins$7.runTask
    1. jenkins.model.Jenkins$7.runTask(Jenkins.java:1026)
    1 frame
  5. init
    Reactor$Node.run
    1. org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:210)
    2. org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
    2 frames
  6. Java RT
    Thread.run
    1. java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    2. java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    3. java.lang.Thread.run(Thread.java:745)
    3 frames